You will frown when you see flash builder 4 instead of flex builder 4 which you expected. The reason is that flex builder is officially renamed to flash builder from version 4 onwards. Now i will explain you how to upgrade a project from 3 to 4. It is really easier than having a cup of tea.

Open the project in flash builder 4. If you try to run the project you will end up with an error dialog saying ” error while loading initial contents”. This is because the air runtime version is less than that required by flex builder 4. To update to the correct value, Open the application descriptor file(xml). The xmlns value will be less than 1.5. Make it to 2.0 or at least 1.5. Now you can run your project in flash builder 4.

Filed under: Flex Builder

Like this post? Subscribe to my RSS feed and get loads more!